FROM node:latest as BUILD_STAGE

ARG KEYCLOAK_URL
ARG REALM
ARG CLIENT_ID
ARG BASE_URL

ENV VUE_APP_KEYCLOAK_URL $KEYCLOAK_URL
ENV VUE_APP_REALM $REALM
ENV VUE_APP_CLIENT_ID $CLIENT_ID
ENV VUE_APP_BASE_URL $BASE_URL

WORKDIR /app
COPY package*.json ./
RUN npm install
COPY ./ .
RUN npm run build


FROM nginx as PRODUCTION_STAGE

RUN mkdir /app
COPY --from=BUILD_STAGE /app/dist /app
COPY nginx.conf /etc/nginx/nginx.conf

EXPOSE 8080